KubeOne(1)

NAME
kubeone - Kubernetes Cluster provisioning and maintaining tool

SYNOPSIS
kubeone [flags]

DESCRIPTION
Provision and maintain Kubernetes High-Availability clusters with ease

OPTIONS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-h, --help[=false]
    help for kubeone

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

SEE ALSO
kubeone-addons(1), kubeone-apply(1), kubeone-certificates(1), kubeone-completion(1), kubeone-config(1), kubeone-document(1), kubeone-init(1), kubeone-kubeconfig(1), kubeone-local(1), kubeone-migrate(1), kubeone-mirror-images(1), kubeone-proxy(1), kubeone-reset(1), kubeone-status(1), kubeone-ui(1), kubeone-version(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra